Loading...
Searching...
No Matches
juce::LookAndFeel_V1 Class Reference

## Detailed Description

The original JUCE look-and-feel, as used back from 2002 to about 2007ish.

See also
  LookAndFeel, LookAndFeel_V2, LookAndFeel_V3

The documentation for this class was generated from the following file:

- juce_gui_basics/lookandfeel/juce_LookAndFeel_V1.h

Inheritance diagram for juce::LookAndFeel_V1:

## Public Member Functions

| LookAndFeel_V1 ()
| ~LookAndFeel_V1 () override
void | drawButtonBackground (Graphics &, Button &, const Colour &backgroundColour, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
void | drawToggleButton (Graphics &, ToggleButton &, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
| Draws the contents of a standard ToggleButton.
void | drawTickBox (Graphics &, Component &, float x, float y, float w, float h, bool ticked, bool isEnabled, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
void | drawProgressBar (Graphics &, ProgressBar &, int width, int height, double progress, const String &textToShow) override
| Draws a progress bar.
void | drawScrollbarButton (Graphics &, ScrollBar &, int width, int height, int buttonDirection, bool isScrollbarVertical, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
| Draws one of the buttons on a scrollbar.
void | drawScrollbar (Graphics &, ScrollBar &, int x, int y, int width, int height, bool isScrollbarVertical, int thumbStartPosition, int thumbSize, bool isMouseOver, bool isMouseDown) override
| Draws the thumb area of a scrollbar.
ImageEffectFilter * | getScrollbarEffect () override
| Returns the component effect to use for a scrollbar.
void | drawTextEditorOutline (Graphics &, int width, int height, TextEditor &) override
void | drawPopupMenuBackground (Graphics &, int width, int height) override
| Fills the background of a popup menu component.
void | drawMenuBarBackground (Graphics &, int width, int height, bool isMouseOverBar, MenuBarComponent &) override
void | drawComboBox (Graphics &, int width, int height, bool isButtonDown, int buttonX, int buttonY, int buttonW, int buttonH, ComboBox &) override
Font | getComboBoxFont (ComboBox &) override
void | drawLinearSlider (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &) override
int | getSliderThumbRadius (Slider &) override
Button * | createSliderButton (Slider &, bool isIncrement) override
ImageEffectFilter * | getSliderEffect (Slider &) override
void | drawCornerResizer (Graphics &, int w, int h, bool isMouseOver, bool isMouseDragging) override
Button * | createDocumentWindowButton (int buttonType) override
void | positionDocumentWindowButtons (DocumentWindow &, int titleBarX, int titleBarY, int titleBarW, int titleBarH, Button *minimiseButton, Button *maximiseButton, Button *closeButton, bool positionTitleBarButtonsOnLeft) override
Public Member Functions inherited from juce::LookAndFeel_V2
| LookAndFeel_V2 ()
| ~LookAndFeel_V2 () override
void | drawButtonBackground (Graphics &, Button &, const Colour &backgroundColour, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
Font | getTextButtonFont (TextButton &, int buttonHeight) override
void | drawButtonText (Graphics &, TextButton &, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
| Draws the text for a TextButton.
int | getTextButtonWidthToFitText (TextButton &, int buttonHeight) override
void | drawToggleButton (Graphics &, ToggleButton &, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
| Draws the contents of a standard ToggleButton.
void | changeToggleButtonWidthToFitText (ToggleButton &) override
void | drawTickBox (Graphics &, Component &, float x, float y, float w, float h, bool ticked, bool isEnabled, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
void | drawDrawableButton (Graphics &, DrawableButton &, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
AlertWindow * | createAlertWindow (const String &title, const String &message, const String &button1, const String &button2, const String &button3, MessageBoxIconType iconType, int numButtons, Component *associatedComponent) override
void | drawAlertBox (Graphics &, AlertWindow &, const Rectangle< int > &textArea, TextLayout &) override
int | getAlertBoxWindowFlags () override
Array< int > | getWidthsForTextButtons (AlertWindow &, const Array< TextButton * > &) override
int | getAlertWindowButtonHeight () override
Font | getAlertWindowTitleFont () override
| Override this function to supply a custom font for the alert window title.
Font | getAlertWindowMessageFont () override
| Override this function to supply a custom font for the alert window message.
Font | getAlertWindowFont () override
void | drawProgressBar (Graphics &, ProgressBar &, int width, int height, double progress, const String &textToShow) override
| Draws a progress bar.
void | drawSpinningWaitAnimation (Graphics &, const Colour &colour, int x, int y, int w, int h) override
| Draws a small image that spins to indicate that something's happening.
bool | isProgressBarOpaque (ProgressBar &) override
ProgressBar::Style | getDefaultProgressBarStyle (const ProgressBar &) override
| Returns the default style a progress bar should use if one hasn't been set.
bool | areScrollbarButtonsVisible () override
void | drawScrollbarButton (Graphics &, ScrollBar &, int width, int height, int buttonDirection, bool isScrollbarVertical, bool shouldDrawButtonAsHighlighted, bool shouldDrawButtonAsDown) override
| Draws one of the buttons on a scrollbar.
void | drawScrollbar (Graphics &, ScrollBar &, int x, int y, int width, int height, bool isScrollbarVertical, int thumbStartPosition, int thumbSize, bool isMouseOver, bool isMouseDown) override
| Draws the thumb area of a scrollbar.
ImageEffectFilter * | getScrollbarEffect () override
| Returns the component effect to use for a scrollbar.
int | getMinimumScrollbarThumbSize (ScrollBar &) override
| Returns the minimum length in pixels to use for a scrollbar thumb.
int | getDefaultScrollbarWidth () override
| Returns the default thickness to use for a scrollbar.
int | getScrollbarButtonSize (ScrollBar &) override
| Returns the length in pixels to use for a scrollbar button.
Path | getTickShape (float height) override
| Returns a tick shape for use in yes/no boxes, etc.
Path | getCrossShape (float height) override
| Returns a cross shape for use in yes/no boxes, etc.
void | drawTreeviewPlusMinusBox (Graphics &, const Rectangle< float > &area, Colour backgroundColour, bool isOpen, bool isMouseOver) override
bool | areLinesDrawnForTreeView (TreeView &) override
int | getTreeViewIndentSize (TreeView &) override
void | fillTextEditorBackground (Graphics &, int width, int height, TextEditor &) override
void | drawTextEditorOutline (Graphics &, int width, int height, TextEditor &) override
CaretComponent * | createCaretComponent (Component *keyFocusOwner) override
const Drawable * | getDefaultFolderImage () override
const Drawable * | getDefaultDocumentFileImage () override
AttributedString | createFileChooserHeaderText (const String &title, const String &instructions) override
void | drawFileBrowserRow (Graphics &, int width, int height, const File &file, const String &filename, Image *icon, const String &fileSizeDescription, const String &fileTimeDescription, bool isDirectory, bool isItemSelected, int itemIndex, DirectoryContentsDisplayComponent &) override
Button * | createFileBrowserGoUpButton () override
void | layoutFileBrowserComponent (FileBrowserComponent &, DirectoryContentsDisplayComponent *, FilePreviewComponent *, ComboBox *currentPathBox, TextEditor *filenameBox, Button *goUpButton) override
void | drawBubble (Graphics &, BubbleComponent &, const Point< float > &tip, const Rectangle< float > &body) override
| Override this method to draw a speech-bubble pointing at a specific location on the screen.
void | setComponentEffectForBubbleComponent (BubbleComponent &bubbleComponent) override
| Override this method to set effects, such as a drop-shadow, on a BubbleComponent.
void | drawLasso (Graphics &, Component &) override
void | drawPopupMenuBackground (Graphics &, int width, int height) override
| Fills the background of a popup menu component.
void | drawPopupMenuBackgroundWithOptions (Graphics &, int width, int height, const PopupMenu::Options &) override
| Fills the background of a popup menu component.
void | drawPopupMenuItem (Graphics &, const Rectangle< int > &area, bool isSeparator, bool isActive, bool isHighlighted, bool isTicked, bool hasSubMenu, const String &text, const String &shortcutKeyText, const Drawable *icon, const Colour *textColour) override
| Draws one of the items in a popup menu.
void | drawPopupMenuItemWithOptions (Graphics &, const Rectangle< int > &area, bool isHighlighted, const PopupMenu::Item &item, const PopupMenu::Options &) override
| Draws one of the items in a popup menu.
void | drawPopupMenuSectionHeader (Graphics &, const Rectangle< int > &area, const String &sectionName) override
void | drawPopupMenuSectionHeaderWithOptions (Graphics &, const Rectangle< int > &area, const String &sectionName, const PopupMenu::Options &) override
Font | getPopupMenuFont () override
| Returns the size and style of font to use in popup menus.
void | drawPopupMenuUpDownArrow (Graphics &, int width, int height, bool isScrollUpArrow) override
void | drawPopupMenuUpDownArrowWithOptions (Graphics &, int width, int height, bool isScrollUpArrow, const PopupMenu::Options &) override
void | getIdealPopupMenuItemSize (const String &text, bool isSeparator, int standardMenuItemHeight, int &idealWidth, int &idealHeight) override
| Finds the best size for an item in a popup menu.
void | getIdealPopupMenuItemSizeWithOptions (const String &text, bool isSeparator, int standardMenuItemHeight, int &idealWidth, int &idealHeight, const PopupMenu::Options &) override
| Finds the best size for an item in a popup menu.
void | getIdealPopupMenuSectionHeaderSizeWithOptions (const String &text, int standardMenuItemHeight, int &idealWidth, int &idealHeight, const PopupMenu::Options &) override
int | getMenuWindowFlags () override
void | preparePopupMenuWindow (Component &) override
void | drawMenuBarBackground (Graphics &, int width, int height, bool isMouseOverBar, MenuBarComponent &) override
int | getMenuBarItemWidth (MenuBarComponent &, int itemIndex, const String &itemText) override
Font | getMenuBarFont (MenuBarComponent &, int itemIndex, const String &itemText) override
int | getDefaultMenuBarHeight () override
void | drawMenuBarItem (Graphics &, int width, int height, int itemIndex, const String &itemText, bool isMouseOverItem, bool isMenuOpen, bool isMouseOverBar, MenuBarComponent &) override
Component * | getParentComponentForMenuOptions (const PopupMenu::Options &options) override
bool | shouldPopupMenuScaleWithTargetComponent (const PopupMenu::Options &options) override
| Return true if you want your popup menus to scale with the target component's AffineTransform or scale factor.
int | getPopupMenuBorderSize () override
int | getPopupMenuBorderSizeWithOptions (const PopupMenu::Options &) override
void | drawPopupMenuColumnSeparatorWithOptions (Graphics &g, const Rectangle< int > &bounds, const PopupMenu::Options &) override
| Implement this to draw some custom decoration between the columns of the popup menu.
int | getPopupMenuColumnSeparatorWidthWithOptions (const PopupMenu::Options &) override
| Return the amount of space that should be left between popup menu columns.
void | drawComboBox (Graphics &, int width, int height, bool isMouseButtonDown, int buttonX, int buttonY, int buttonW, int buttonH, ComboBox &) override
Font | getComboBoxFont (ComboBox &) override
Label * | createComboBoxTextBox (ComboBox &) override
void | positionComboBoxText (ComboBox &, Label &) override
PopupMenu::Options | getOptionsForComboBoxPopupMenu (ComboBox &, Label &) override
void | drawComboBoxTextWhenNothingSelected (Graphics &, ComboBox &, Label &) override
void | drawLabel (Graphics &, Label &) override
Font | getLabelFont (Label &) override
BorderSize< int > | getLabelBorderSize (Label &) override
void | drawLinearSlider (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &) override
void | drawLinearSliderBackground (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &) override
void | drawLinearSliderOutline (Graphics &, int x, int y, int width, int height, Slider::SliderStyle, Slider &) override
void | drawLinearSliderThumb (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &) override
void | drawRotarySlider (Graphics &, int x, int y, int width, int height, float sliderPosProportional, float rotaryStartAngle, float rotaryEndAngle, Slider &) override
int | getSliderThumbRadius (Slider &) override
Button * | createSliderButton (Slider &, bool isIncrement) override
Label * | createSliderTextBox (Slider &) override
ImageEffectFilter * | getSliderEffect (Slider &) override
Font | getSliderPopupFont (Slider &) override
int | getSliderPopupPlacement (Slider &) override
Slider::SliderLayout | getSliderLayout (Slider &) override
Rectangle< int > | getTooltipBounds (const String &tipText, Point< int > screenPos, Rectangle< int > parentArea) override
| returns the bounds for a tooltip at the given screen coordinate, constrained within the given desktop area.
void | drawTooltip (Graphics &, const String &text, int width, int height) override
Button * | createFilenameComponentBrowseButton (const String &text) override
void | layoutFilenameComponent (FilenameComponent &, ComboBox *filenameBox, Button *browseButton) override
void | drawConcertinaPanelHeader (Graphics &, const Rectangle< int > &area, bool isMouseOver, bool isMouseDown, ConcertinaPanel &, Component &panel) override
void | drawCornerResizer (Graphics &, int w, int h, bool isMouseOver, bool isMouseDragging) override
void | drawResizableFrame (Graphics &, int w, int h, const BorderSize< int > &) override
void | fillResizableWindowBackground (Graphics &, int w, int h, const BorderSize< int > &, ResizableWindow &) override
void | drawResizableWindowBorder (Graphics &, int w, int h, const BorderSize< int > &border, ResizableWindow &) override
void | drawDocumentWindowTitleBar (DocumentWindow &, Graphics &, int w, int h, int titleSpaceX, int titleSpaceW, const Image *icon, bool drawTitleTextOnLeft) override
Button * | createDocumentWindowButton (int buttonType) override
void | positionDocumentWindowButtons (DocumentWindow &, int titleBarX, int titleBarY, int titleBarW, int titleBarH, Button *minimiseButton, Button *maximiseButton, Button *closeButton, bool positionTitleBarButtonsOnLeft) override
std::unique_ptr< DropShadower > | createDropShadowerForComponent (Component &) override
| Creates a drop-shadower for a given component, if required.
std::unique_ptr< FocusOutline > | createFocusOutlineForComponent (Component &) override
| Creates a focus outline for a given component, if required.
void | drawStretchableLayoutResizerBar (Graphics &, int w, int h, bool isVerticalBar, bool isMouseOver, bool isMouseDragging) override
void | drawGroupComponentOutline (Graphics &, int w, int h, const String &text, const Justification &, GroupComponent &) override
int | getTabButtonSpaceAroundImage () override
int | getTabButtonOverlap (int tabDepth) override
int | getTabButtonBestWidth (TabBarButton &, int tabDepth) override
Rectangle< int > | getTabButtonExtraComponentBounds (const TabBarButton &, Rectangle< int > &textArea, Component &extraComp) override
void | drawTabButton (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown) override
Font | getTabButtonFont (TabBarButton &, float height) override
void | drawTabButtonText (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown) override
void | drawTabbedButtonBarBackground (TabbedButtonBar &, Graphics &) override
void | drawTabAreaBehindFrontButton (TabbedButtonBar &, Graphics &, int w, int h) override
void | createTabButtonShape (TabBarButton &, Path &, bool isMouseOver, bool isMouseDown) override
void | fillTabButtonShape (TabBarButton &, Graphics &, const Path &, bool isMouseOver, bool isMouseDown) override
Button * | createTabBarExtrasButton () override
void | drawImageButton (Graphics &, Image *, int imageX, int imageY, int imageW, int imageH, const Colour &overlayColour, float imageOpacity, ImageButton &) override
void | drawTableHeaderBackground (Graphics &, TableHeaderComponent &) override
void | drawTableHeaderColumn (Graphics &, TableHeaderComponent &, const String &columnName, int columnId, int width, int height, bool isMouseOver, bool isMouseDown, int columnFlags) override
void | paintToolbarBackground (Graphics &, int width, int height, Toolbar &) override
Button * | createToolbarMissingItemsButton (Toolbar &) override
void | paintToolbarButtonBackground (Graphics &, int width, int height, bool isMouseOver, bool isMouseDown, ToolbarItemComponent &) override
void | paintToolbarButtonLabel (Graphics &, int x, int y, int width, int height, const String &text, ToolbarItemComponent &) override
void | drawPropertyPanelSectionHeader (Graphics &, const String &name, bool isOpen, int width, int height) override
void | drawPropertyComponentBackground (Graphics &, int width, int height, PropertyComponent &) override
void | drawPropertyComponentLabel (Graphics &, int width, int height, PropertyComponent &) override
Rectangle< int > | getPropertyComponentContentPosition (PropertyComponent &) override
int | getPropertyPanelSectionHeaderHeight (const String &sectionTitle) override
void | drawCallOutBoxBackground (CallOutBox &, Graphics &, const Path &path, Image &cachedImage) override
int | getCallOutBoxBorderSize (const CallOutBox &) override
float | getCallOutBoxCornerSize (const CallOutBox &) override
void | drawLevelMeter (Graphics &, int width, int height, float level) override
void | drawKeymapChangeButton (Graphics &, int width, int height, Button &, const String &keyDescription) override
Font | getSidePanelTitleFont (SidePanel &) override
Justification | getSidePanelTitleJustification (SidePanel &) override
Path | getSidePanelDismissButtonShape (SidePanel &) override
Public Member Functions inherited from juce::LookAndFeel
| LookAndFeel ()
| Creates the default JUCE look and feel.
| ~LookAndFeel () override
| Destructor.
Colour | findColour (int colourId) const noexcept
| Looks for a colour that has been registered with the given colour ID number.
void | setColour (int colourId, Colour colour) noexcept
| Registers a colour to be used for a particular purpose.
bool | isColourSpecified (int colourId) const noexcept
| Returns true if the specified colour ID has been explicitly set using the setColour() method.
virtual Typeface::Ptr | getTypefaceForFont (const Font &)
| Returns the typeface that should be used for a given font.
virtual TypefaceMetricsKind | getDefaultMetricsKind () const
| Widgets can call this to find out the kind of metrics they should use when creating their own fonts.
FontOptions | withDefaultMetrics (FontOptions opt) const
| Returns a copy of the FontOptions with the LookAndFeel's default metrics kind set.
void | setDefaultSansSerifTypeface (Typeface::Ptr newDefaultTypeface)
| Allows you to supply a default typeface that will be returned as the default sans-serif font.
void | setDefaultSansSerifTypefaceName (const String &newName)
| Allows you to change the default sans-serif font.
void | setUsingNativeAlertWindows (bool shouldUseNativeAlerts)
| Sets whether native alert windows (if available) or standard JUCE AlertWindows drawn with AlertWindow::LookAndFeelMethods will be used.
bool | isUsingNativeAlertWindows ()
| Returns true if native alert windows will be used (if available).
virtual MouseCursor | getMouseCursorFor (Component &)
| Override this to get the chance to swap a component's mouse cursor for a customised one.
virtual std::unique_ptr< LowLevelGraphicsContext > | createGraphicsContext (const Image &imageToRenderOn, Point< int > origin, const RectangleList< int > &initialClip)
| Creates a new graphics context object.
virtual void | playAlertSound ()
| Plays the system's default 'beep' noise, to alert the user about something very important.
Public Member Functions inherited from juce::ScrollBar::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::Button::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ImageButton::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::TextEditor::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::FileBrowserComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::TreeView::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::BubbleComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::AlertWindow::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::PopupMenu::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ComboBox::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::Label::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::Slider::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ResizableWindow::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::DocumentWindow::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::TooltipWindow::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::TabbedButtonBar::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::PropertyComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::FilenameComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::GroupComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::TableHeaderComponent::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::CallOutBox::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::Toolbar::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ConcertinaPanel::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ProgressBar::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::StretchableLayoutResizerBar::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default
Public Member Functions inherited from juce::ExtraLookAndFeelBaseClasses::KeyMappingEditorComponentMethods
virtual | ~KeyMappingEditorComponentMethods ()=default
Public Member Functions inherited from juce::ExtraLookAndFeelBaseClasses::AudioDeviceSelectorComponentMethods
virtual | ~AudioDeviceSelectorComponentMethods ()=default
Public Member Functions inherited from juce::ExtraLookAndFeelBaseClasses::LassoComponentMethods
virtual | ~LassoComponentMethods ()=default
Public Member Functions inherited from juce::SidePanel::LookAndFeelMethods
virtual | ~LookAndFeelMethods ()=default

## Additional Inherited Members

Static Public Member Functions inherited from juce::LookAndFeel_V2
static void | drawBevel (Graphics &, int x, int y, int width, int height, int bevelThickness, const Colour &topLeftColour=Colours::white, const Colour &bottomRightColour=Colours::black, bool useGradient=true, bool sharpEdgeOnOutside=true)
| Draws a 3D raised (or indented) bevel using two colours.
static void | drawGlassSphere (Graphics &, float x, float y, float diameter, const Colour &, float outlineThickness) noexcept
| Utility function to draw a shiny, glassy circle (for round LED-type buttons).
static void | drawGlassPointer (Graphics &, float x, float y, float diameter, const Colour &, float outlineThickness, int direction) noexcept
static void | drawGlassLozenge (Graphics &, float x, float y, float width, float height, const Colour &, float outlineThickness, float cornerSize, bool flatOnLeft, bool flatOnRight, bool flatOnTop, bool flatOnBottom) noexcept
| Utility function to draw a shiny, glassy oblong (for text buttons).
Static Public Member Functions inherited from juce::LookAndFeel
static LookAndFeel & | getDefaultLookAndFeel () noexcept
| Returns the current default look-and-feel for a component to use when it hasn't got one explicitly set.
static void | setDefaultLookAndFeel (LookAndFeel *newDefaultLookAndFeel) noexcept
| Changes the default look-and-feel.

## Constructors and Destructors

## LookAndFeel_V1()

juce::LookAndFeel_V1::LookAndFeel_V1 | ( |  | ) |

Referenced by positionDocumentWindowButtons().

## ~LookAndFeel_V1()

juce::LookAndFeel_V1::~LookAndFeel_V1 | ( |  | ) |

override

## Member Functions

## drawButtonBackground()

void juce::LookAndFeel_V1::drawButtonBackground | ( | Graphics & | ,
|  | Button & | ,
|  | const Colour & | backgroundColour,
|  | bool | shouldDrawButtonAsHighlighted,
|  | bool | shouldDrawButtonAsDown )

override virtual

Implements juce::Button::LookAndFeelMethods.

## drawToggleButton()

void juce::LookAndFeel_V1::drawToggleButton | ( | Graphics & | ,
|  | ToggleButton & | ,
|  | bool | shouldDrawButtonAsHighlighted,
|  | bool | shouldDrawButtonAsDown )

override virtual

Draws the contents of a standard ToggleButton.

Implements juce::Button::LookAndFeelMethods.

## drawTickBox()

void juce::LookAndFeel_V1::drawTickBox | ( | Graphics & | ,
|  | Component & | ,
|  | float | x,
|  | float | y,
|  | float | w,
|  | float | h,
|  | bool | ticked,
|  | bool | isEnabled,
|  | bool | shouldDrawButtonAsHighlighted,
|  | bool | shouldDrawButtonAsDown )

override virtual

Implements juce::Button::LookAndFeelMethods.

References h, w, x, and y.

## drawProgressBar()

void juce::LookAndFeel_V1::drawProgressBar | ( | Graphics & | ,
|  | ProgressBar & | ,
|  | int | width,
|  | int | height,
|  | double | progress,
|  | const String & | textToShow )

override virtual

Draws a progress bar.

If the progress value is less than 0 or greater than 1.0, this should draw a spinning bar that fills the whole space (i.e. to say that the app is still busy but the progress isn't known). It can use the current time as a basis for playing an animation.

To determine which style of progress-bar to draw call getResolvedStyle().

(Used by progress bars in AlertWindow).

See also
  getResolvedStyle

Implements juce::ProgressBar::LookAndFeelMethods.

## drawScrollbarButton()

void juce::LookAndFeel_V1::drawScrollbarButton | ( | Graphics & | g,
|  | ScrollBar & | scrollbar,
|  | int | width,
|  | int | height,
|  | int | buttonDirection,
|  | bool | isScrollbarVertical,
|  | bool | isMouseOverButton,
|  | bool | isButtonDown )

override virtual

Draws one of the buttons on a scrollbar.

Parameters

  g | the context to draw into
  scrollbar | the bar itself
  width | the width of the button
  height | the height of the button
  buttonDirection | the direction of the button, where 0 = up, 1 = right, 2 = down, 3 = left
  isScrollbarVertical | true if it's a vertical bar, false if horizontal
  isMouseOverButton | whether the mouse is currently over the button (also true if it's held down)
  isButtonDown | whether the mouse button's held down

Implements juce::ScrollBar::LookAndFeelMethods.

## drawScrollbar()

void juce::LookAndFeel_V1::drawScrollbar | ( | Graphics & | g,
|  | ScrollBar & | scrollbar,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | bool | isScrollbarVertical,
|  | int | thumbStartPosition,
|  | int | thumbSize,
|  | bool | isMouseOver,
|  | bool | isMouseDown )

override virtual

Draws the thumb area of a scrollbar.

Parameters

  g | the context to draw into
  scrollbar | the bar itself
  x | the x position of the left edge of the thumb area to draw in
  y | the y position of the top edge of the thumb area to draw in
  width | the width of the thumb area to draw in
  height | the height of the thumb area to draw in
  isScrollbarVertical | true if it's a vertical bar, false if horizontal
  thumbStartPosition | for vertical bars, the y coordinate of the top of the thumb, or its x position for horizontal bars
  thumbSize | for vertical bars, the height of the thumb, or its width for horizontal bars. This may be 0 if the thumb shouldn't be drawn.
  isMouseOver | whether the mouse is over the thumb area, also true if the mouse is currently dragging the thumb
  isMouseDown | whether the mouse is currently dragging the scrollbar

Implements juce::ScrollBar::LookAndFeelMethods.

References x, and y.

## getScrollbarEffect()

ImageEffectFilter * juce::LookAndFeel_V1::getScrollbarEffect | ( |  | ) |

override virtual

Returns the component effect to use for a scrollbar.

Implements juce::ScrollBar::LookAndFeelMethods.

## drawTextEditorOutline()

void juce::LookAndFeel_V1::drawTextEditorOutline | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | TextEditor & | )

override virtual

Implements juce::TextEditor::LookAndFeelMethods.

## drawPopupMenuBackground()

void juce::LookAndFeel_V1::drawPopupMenuBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height )

override virtual

Fills the background of a popup menu component.

Reimplemented from juce::PopupMenu::LookAndFeelMethods.

## drawMenuBarBackground()

void juce::LookAndFeel_V1::drawMenuBarBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isMouseOverBar,
|  | MenuBarComponent & | )

override virtual

Implements juce::PopupMenu::LookAndFeelMethods.

## drawComboBox()

void juce::LookAndFeel_V1::drawComboBox | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isButtonDown,
|  | int | buttonX,
|  | int | buttonY,
|  | int | buttonW,
|  | int | buttonH,
|  | ComboBox & | )

override virtual

Implements juce::ComboBox::LookAndFeelMethods.

## getComboBoxFont()

Font juce::LookAndFeel_V1::getComboBoxFont | ( | ComboBox & |  | ) |

override virtual

Implements juce::ComboBox::LookAndFeelMethods.

## drawLinearSlider()

void juce::LookAndFeel_V1::drawLinearSlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )

override virtual

Implements juce::Slider::LookAndFeelMethods.

References x, and y.

## getSliderThumbRadius()

int juce::LookAndFeel_V1::getSliderThumbRadius | ( | Slider & |  | ) |

override virtual

Implements juce::Slider::LookAndFeelMethods.

## createSliderButton()

Button * juce::LookAndFeel_V1::createSliderButton | ( | Slider & | ,
|  | bool | isIncrement )

override virtual

Implements juce::Slider::LookAndFeelMethods.

## getSliderEffect()

ImageEffectFilter * juce::LookAndFeel_V1::getSliderEffect | ( | Slider & |  | ) |

override virtual

Implements juce::Slider::LookAndFeelMethods.

## drawCornerResizer()

void juce::LookAndFeel_V1::drawCornerResizer | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | bool | isMouseOver,
|  | bool | isMouseDragging )

override virtual

Implements juce::ResizableWindow::LookAndFeelMethods.

References h, and w.

## createDocumentWindowButton()

Button * juce::LookAndFeel_V1::createDocumentWindowButton | ( | int | buttonType | ) |

override virtual

Implements juce::DocumentWindow::LookAndFeelMethods.

## positionDocumentWindowButtons()

void juce::LookAndFeel_V1::positionDocumentWindowButtons | ( | DocumentWindow & | ,
|  | int | titleBarX,
|  | int | titleBarY,
|  | int | titleBarW,
|  | int | titleBarH,
|  | Button * | minimiseButton,
|  | Button * | maximiseButton,
|  | Button * | closeButton,
|  | bool | positionTitleBarButtonsOnLeft )

override virtual

Implements juce::DocumentWindow::LookAndFeelMethods.

References LookAndFeel_V1().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited